yi-keymap-vim-0.19.0: Vim keymap for Yi editor

Safe Haskell | None
Language | Haskell2010

Yi.Keymap.Vim.TextObject

# Documentation

data TextObject Source #

Constructors

TextObject !RegionStyle !TextUnit |

data CountedTextObject Source #

Constructors

CountedTextObject !Int !TextObject |

regionOfTextObjectB :: CountedTextObject -> BufferM StyledRegion Source #

changeTextObjectCount :: Int -> CountedTextObject -> CountedTextObject Source #

changeTextObjectStyle :: (RegionStyle -> RegionStyle) -> TextObject -> TextObject Source #

stringToTextObject :: String -> MatchResult TextObject Source #